Update step sending time
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sending_time": {
"delay_number": 123,
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": []
}
}
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time"
payload = { "sending_time": {
"delay_number": 123,
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": True,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": []
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sending_time: {
delay_number: 123,
delay_at: '2023-11-07T05:31:56Z',
skip_past_date: true,
delay_time: '2023-11-07T05:31:56Z',
delay_limit: {time_from: 719, time_to: 719, weekdays: []}
}
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sending_time' => [
'delay_number' => 123,
'delay_at' => '2023-11-07T05:31:56Z',
'skip_past_date' => true,
'delay_time' => '2023-11-07T05:31:56Z',
'delay_limit' => [
'time_from' => 719,
'time_to' => 719,
'weekdays' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time"
payload := strings.NewReader("{\n \"sending_time\": {\n \"delay_number\": 123,\n \"delay_at\": \"2023-11-07T05:31:56Z\",\n \"skip_past_date\": true,\n \"delay_time\": \"2023-11-07T05:31:56Z\",\n \"delay_limit\": {\n \"time_from\": 719,\n \"time_to\": 719,\n \"weekdays\": []\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sending_time\": {\n \"delay_number\": 123,\n \"delay_at\": \"2023-11-07T05:31:56Z\",\n \"skip_past_date\": true,\n \"delay_time\": \"2023-11-07T05:31:56Z\",\n \"delay_limit\": {\n \"time_from\": 719,\n \"time_to\": 719,\n \"weekdays\": []\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sending_time\": {\n \"delay_number\": 123,\n \"delay_at\": \"2023-11-07T05:31:56Z\",\n \"skip_past_date\": true,\n \"delay_time\": \"2023-11-07T05:31:56Z\",\n \"delay_limit\": {\n \"time_from\": 719,\n \"time_to\": 719,\n \"weekdays\": []\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"product_id": 123,
"section_id": 123,
"type": "message",
"name": "<string>",
"text": "<string>",
"active": true,
"sort": 123,
"link_preview": true,
"task_autocheck": true,
"custom_field_id": 123,
"sending_time": {
"option": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": [
"mon"
]
}
},
"menu_time": {
"type": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"delay_time": "2023-11-07T05:31:56Z"
},
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true,
"save_profile": true,
"subtype": "<string>",
"question_error_message": "<string>",
"quiz_explanation": "<string>"
},
"cover_url": "<string>",
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "link",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"options": [
{
"id": 123,
"text": "<string>",
"is_correct": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Кроки
Оновити час надсилання
Задає, коли крок надсилається підписнику.
PATCH
/
api
/
v1
/
bot
/
{bot}
/
products
/
{product}
/
steps
/
{step}
/
sending-time
Update step sending time
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sending_time": {
"delay_number": 123,
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": []
}
}
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time"
payload = { "sending_time": {
"delay_number": 123,
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": True,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": []
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sending_time: {
delay_number: 123,
delay_at: '2023-11-07T05:31:56Z',
skip_past_date: true,
delay_time: '2023-11-07T05:31:56Z',
delay_limit: {time_from: 719, time_to: 719, weekdays: []}
}
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sending_time' => [
'delay_number' => 123,
'delay_at' => '2023-11-07T05:31:56Z',
'skip_past_date' => true,
'delay_time' => '2023-11-07T05:31:56Z',
'delay_limit' => [
'time_from' => 719,
'time_to' => 719,
'weekdays' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time"
payload := strings.NewReader("{\n \"sending_time\": {\n \"delay_number\": 123,\n \"delay_at\": \"2023-11-07T05:31:56Z\",\n \"skip_past_date\": true,\n \"delay_time\": \"2023-11-07T05:31:56Z\",\n \"delay_limit\": {\n \"time_from\": 719,\n \"time_to\": 719,\n \"weekdays\": []\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sending_time\": {\n \"delay_number\": 123,\n \"delay_at\": \"2023-11-07T05:31:56Z\",\n \"skip_past_date\": true,\n \"delay_time\": \"2023-11-07T05:31:56Z\",\n \"delay_limit\": {\n \"time_from\": 719,\n \"time_to\": 719,\n \"weekdays\": []\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/sending-time")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sending_time\": {\n \"delay_number\": 123,\n \"delay_at\": \"2023-11-07T05:31:56Z\",\n \"skip_past_date\": true,\n \"delay_time\": \"2023-11-07T05:31:56Z\",\n \"delay_limit\": {\n \"time_from\": 719,\n \"time_to\": 719,\n \"weekdays\": []\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"product_id": 123,
"section_id": 123,
"type": "message",
"name": "<string>",
"text": "<string>",
"active": true,
"sort": 123,
"link_preview": true,
"task_autocheck": true,
"custom_field_id": 123,
"sending_time": {
"option": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": [
"mon"
]
}
},
"menu_time": {
"type": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"delay_time": "2023-11-07T05:31:56Z"
},
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true,
"save_profile": true,
"subtype": "<string>",
"question_error_message": "<string>",
"quiz_explanation": "<string>"
},
"cover_url": "<string>",
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "link",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"options": [
{
"id": 123,
"text": "<string>",
"is_correct": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизації
API token from the Zenedu dashboard
Параметри шляху
Bot ID
Product ID
Step ID
Тіло
application/json
Show child attributes
Show child attributes
Відповідь
Step
Show child attributes
Show child attributes